# Generated from sequel-units-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sequel-units

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Sequel plugin for working with numeric values with unit
License: MIT
URL: https://github.com/AkihikoITOH/sequel-units
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rubocop) >= 0.50
# BuildRequires: rubygem(rubocop) < 1
# BuildRequires: rubygem(sqlite3) >= 1.0
# BuildRequires: rubygem(sqlite3) < 2
# BuildRequires: rubygem(pry-byebug) >= 3.5
# BuildRequires: rubygem(pry-byebug) < 4
# BuildRequires: rubygem(simplecov) >= 0.15
# BuildRequires: rubygem(simplecov) < 1
BuildArch: noarch

%description
Sequel::Units provides a simple way to work with numeric values with units in
Sequel models.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Sep 15 2021 mockbuilder - 0.1.0-1
- Initial package
